package de.fraunhofer.iem.dataprovider.kpi.repository

import de.fraunhofer.iem.dataprovider.kpi.model.KPI
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*

interface KPIRepository : JpaRepository<KPI, UUID> {
    fun findByRepository_Id(id: UUID): List<KPI>

    fun findFirstByRepository_IdAndIsRootTrue(id: UUID): Optional<KPI>
}