package de.fraunhofer.iem.dataprovider.toolRun

import de.fraunhofer.iem.dataprovider.toolRun.model.RepositoryDetails
import org.springframework.data.domain.Sort
import org.springframework.data.jpa.repository.JpaRepository
import java.util.*


interface RepositoryDetailsRepository : JpaRepository<RepositoryDetails, UUID> {
    fun findFirstByRepository_IdOrderByTimestampDesc(id: UUID): Optional<RepositoryDetails>
}
